=== debian/changelog ===
wlopm (0.1.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1051039)

 -- Birger Schacht <birger@debian.org>  Sat, 02 Sep 2023 16:15:40 +0200
