=== debian/control ===
Source: wlopm
Section: utils
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               wayland-protocols,
	       libwayland-bin,
	       libwayland-dev,
Standards-Version: 4.6.2
Homepage: https://git.sr.ht/~leon_plickat/wlopm
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/wlopm.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wlopm

Package: wlopm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: wayland output power management
 wlopm is a simple client implementing zwlr-output-power-management-v1, which
 allows clients to control power management modes of outputs that are currently
 part of the compositor space. This allows wlopm to power down outputs when the
 system is idle.
