=== debian/changelog ===
wlopm (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 0001-makefile-set-prefix.patch
  * Add overrides in debian/rules to set PREFIX
  * Backport 0002-bash-completion-dir.patch
  * Replace build-depends pkg-config with pkgconf
  * Run wrap-and-sort
  * Bump standards-version to 4.7.2 (no changes required)

 -- Birger Schacht <birger@debian.org>  Mon, 25 Aug 2025 16:35:31 +0200
