=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
-               wayland-protocols,
-	       libwayland-bin,
-	       libwayland-dev,
-Standards-Version: 4.6.2
+               libwayland-bin,
+               libwayland-dev,
+               pkgconf,
+               wayland-protocols
+Standards-Version: 4.7.2
 Homepage: https://git.sr.ht/~leon_plickat/wlopm
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlopm.git
