=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~leon_plickat/wlopm refs/tags/v?(\d\S+)
